package com.xhly.manageapp.bean.log

/**
 * 处理推送事件后的回调
 */
class LogPushBean {
    /** app只处理6，2，3，7
     * 推送类型：1发送消息2解除限制3限制使用4更新策略5重启设备6恢复出厂7解除管控
     */
    var pushType = 0

    /**
     * 推送对象：1学生2班级
     */
    var pushObj = 1

    /**
     * 推送目标：班级ID（pushObj=2）
     */
    var pushObjid:Long? = null

    /**
     * ：学生ids（pushObj=1）
     */
    var userids = longArrayOf()

    /**
     * 推送目标：学生名称/班级名称
     */
    var pushObjname = ""

    /**
     * 日志内容
     */
    var content = ""
}